Page MenuHomePhabricator

HTMLFormFields nodata functionality should be documented
Closed, ResolvedPublic

Description

This is a task which comes out of T38210: HtmlForm unconditionally loads form values from request.

HTMLForm provides a way to skip loading data from the request for a specific field by setting the nodata key to the descriptor of a form field (the content doesn't matter). This should be documented, so that users of HTMLForm know about this feature.

Details

Related Gerrit Patches:
mediawiki/core : masterDocument nodata for HTMLFormFields

Event Timeline

Florian created this task.Jan 23 2017, 7:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 7:28 PM

Change 333710 had a related patch set uploaded (by Florianschmidtwelzow):
Document nodata for HTMLFormFields

https://gerrit.wikimedia.org/r/333710

Restricted Application added a project: Documentation. · View Herald TranscriptJan 24 2017, 11:00 AM

Change 333710 merged by jenkins-bot:
[mediawiki/core@master] Document nodata for HTMLFormFields

https://gerrit.wikimedia.org/r/333710

Florian closed this task as Resolved.May 20 2018, 9:52 AM